1. Themes
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
      • Get Data Input
      • Create Data Input
      • Update Data Input
      • Delete Data Input
      • Create or Update Data Input
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
        GET
      • Show Theme
        GET
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
      • List Years
  1. Themes

Show Theme

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/themes/{{ID}}
Generated from cURL: curl --location '{{BASE_URL}}/api/external/corporate/themes/{{ID}}' --request GET --header 'Authorization: Bearer {{TOKEN}}'

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://platform.esginvest.com/api/external/corporate/themes/{{ID}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 9,
    "name": "Corporate Governance",
    "key": "CORPORATE_GOVERNANCE",
    "translations": [
        {
            "id": 3747,
            "translatable_type": "App\\Models\\Theme",
            "translatable_id": 9,
            "language_code": "ar",
            "field": "name",
            "translated_text": "حوكمة الشركات",
            "created_at": "2025-05-25T14:41:18.000000Z",
            "updated_at": "2025-05-25T14:41:18.000000Z"
        },
        {
            "id": 3746,
            "translatable_type": "App\\Models\\Theme",
            "translatable_id": 9,
            "language_code": "en",
            "field": "name",
            "translated_text": "Corporate Governance",
            "created_at": "2025-05-25T14:41:18.000000Z",
            "updated_at": "2025-05-25T14:41:18.000000Z"
        }
    ]
}
Modified at 2026-03-30 01:20:00
Previous
List Themes
Next
Show Group
Built with